Use .tgz instead of .tar.gz for the output file name.
diff --git a/Doc/tools/mktarball.sh b/Doc/tools/mktarball.sh
index 0475081..6d93206 100755
--- a/Doc/tools/mktarball.sh
+++ b/Doc/tools/mktarball.sh
@@ -35,7 +35,7 @@
 
 cd $TEMPDIR
 
-(tar cf - Python-$RELEASE | gzip -9 >$MYDIR/latex-$RELEASE.tar.gz) || exit $?
+(tar cf - Python-$RELEASE | gzip -9 >$MYDIR/latex-$RELEASE.tgz) || exit $?
 cd $MYDIR
 rm -r $TEMPDIR || exit $?